// shoppingGuid/page/pages/enlistInfo/enlistInfo.js
const wxService = require('../../../../utils/wxService')
wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    enlistList: null
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    console.log('招募', this.options)
    let taskId = this.options && this.options.id || 0
    let orderType = this.options && this.options.type || 2
    this.getTaskDetail(orderType, taskId)
  },
  getTaskDetail(orderType, taskId) {
    wx.showLoading({
      title: '加载中'
    })
    wxService.post(`/marketing/shoppingguide/task/detail?orderType=${orderType}&taskId=${taskId}`).then(res => {
      if (res) {
        const { result, data } = res.data
        if (result == 0) {
          wx.hideLoading()
          let curStart = new Date(data.task.startTime)
          let curEnd = new Date(data.task.endTime)
          data.task.startTime = `${curStart.getMonth()}月${curStart.getDay()}日`
          data.task.endTime = `${curEnd.getMonth()}月${curEnd.getDay()}日`

          this.setData({
            enlistList: data || {}
          })
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})